Bug 1015042 - Missing /var/log/lsyncd directory in package !
Missing /var/log/lsyncd directory in package !
Product: Fedora
Classification: Fedora
Component: lsyncd (Show other bugs)
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Troy C
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-10-03 07:19 EDT by Sebastien Pasche
Modified: 2015-02-17 12:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-17 12:29:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sebastien Pasche 2013-10-03 07:19:06 EDT
Description of problem:

Oct  3 13:08:33 mgbstai02 systemd[1]: Starting Live Syncing (Mirror) Daemon...
Oct  3 13:08:33 mgbstai02 systemd[1]: Started Live Syncing (Mirror) Daemon.
Oct  3 13:08:33 mgbstai02 sh[854]: Warn: settings = { ... } is deprecated.
Oct  3 13:08:33 mgbstai02 sh[854]: please use settings{ ... } (without the equal sign)
Oct  3 13:08:33 mgbstai02 sh[854]: Cannot open logfile [/var/log/lsyncd/lsyncd.log]!

There is no /var/log/lsyncd directory

Version-Release number of selected component (if applicable):

[root@mgbstai02 log]# cat /etc/redhat-release 
Fedora release 19 (Schrödinger’s Cat)
[root@mgbstai02 log]# rpm -qa | grep lsyncd

How reproducible:

systemctl start lsyncd.service

Steps to Reproduce:
1. yum install lsyncd
2. systemctl start lsyncd.service

Actual results:

The daemon does not start

Expected results:

A running daemon :)

Additional info:

install -d -o root -g root -m 0751 -Z system_u:object_r:var_log_t:s0 /var/log/lsyncd

should fix this issue

systemctl start lsyncd.service
[root@mgbstai02 log]# ps aux | grep lsyncd
root       972  0.0  0.0 115232  1100 ?        SNs  13:16   0:00 /usr/bin/sh -c eval `/usr/bin/lsyncd -nodaemon $LSYNCD_OPTIONS /etc/lsyncd.conf`
root       973  0.0  0.0 115232   596 ?        SN   13:16   0:00 /usr/bin/sh -c eval `/usr/bin/lsyncd -nodaemon $LSYNCD_OPTIONS /etc/lsyncd.conf`
root       974  3.5  0.1  30964 20232 ?        SN   13:16   0:00 /usr/bin/lsyncd -nodaemon /etc/lsyncd.conf

[root@mgbstai02 log]# cat /var/log/lsyncd/lsyncd.log 
Thu Oct  3 13:16:25 2013 Normal: recursive startup rsync: /xx/entry/ -> /var/www/static.xx.ch/
Thu Oct  3 13:16:25 2013 Normal: recursive startup rsync: /xx/kibana/src/ -> /var/www/kibana.xx.ch/
Thu Oct  3 13:16:26 2013 Normal: Startup of "/xx/kibana/src/" finished.

There is another issue with $LSYNCD_OPTIONS but I will create another issue
Comment 1 Lubomir Rintel 2014-10-02 15:26:56 EDT
We don't log to /var/log/lsyncd; we log to journal.

Maybe it's somewhere in your local configuration?
Comment 2 Fedora End Of Life 2015-01-09 15:05:56 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 12:29:08 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.